bugWeeChat - Bugs: bug #40650, WeeChat Requires rubylib.so

 
 

bug #40650: WeeChat Requires rubylib.so

Submitted by:  None
Submitted on:  Wed 20 Nov 2013 08:01:50 PM UTC
 
Category:  script API plugins Severity:  3 - Normal
Item Group:  compile/install Status:  Need Info
Privacy:  Public Assigned to:  flashcode
Originator Name:  Originator Email:  * -email is unavailable-
Open/Closed:  Open Release:  * 0.4.2
IRC nick: 
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       No canned response available

 

Fri 22 Nov 2013 08:07:38 AM UTC, comment #1: 

I'm not sure if WeeChat (I mean ruby plugin) is affected by this problem (after looking at the ruby detection in WeeChat, it seems different from your URL).

On which distribution do you have the problem with WeeChat/ruby ?

And more important, do you have the problem with cmake (recommended way to compile WeeChat) or with autotools (./configure) ?

Sebastien Helleu <flashcode>
Project Administrator
Wed 20 Nov 2013 08:01:50 PM UTC, original submission:  

Much like a bug that was in vim [1], weechat requires rubylib.so which on some linux distros requires ruby-devel to be installed (of course on most production servers, which many run weechat or irssi on for screen, they do not use ruby-devel).

[1] https://groups.google.com/forum/?fromgroups=#!topic/vim_dev/ifgqrTYEeCM

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by flashcode (Posted a comment)
  • -email is unavailable- added by None (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only logged-in users can vote.

     

     

     

     

    Follow 4 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2013-11-22 flashcode CategoryNone => script API plugins
        Item GroupNone => compile/install
        StatusNone => Need Info
        Assigned toNone => flashcode

    Back to the top


    Powered by Savane 3.9